| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Typedefs | Enumerations
OgreStringInterface.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "Threading/OgreThreadHeaders.h"`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::ParamCommand
| Abstract class which is command object which gets/sets parameters. More...
class | Ogre::ParamDictionary
| Class to hold a dictionary of parameters for a single class. More...
class | Ogre::ParameterDef
| Definition of a parameter supported by a StringInterface class, for introspection. More...
class | Ogre::StringInterface
| Class defining the common interface which classes can use to present a reflection-style, self-defining parameter set to callers. More...

## Namespaces
| Ogre

## Typedefs
typedef std::map< String, ParamCommand *> | Ogre::ParamCommandMap
typedef std::map< String, ParamDictionary > | Ogre::ParamDictionaryMap
typedef std::vector< ParameterDef > | Ogre::ParameterList

## Enumerations
enum | Ogre::ParameterType { Ogre::PT_BOOL, Ogre::PT_REAL, Ogre::PT_INT, Ogre::PT_UNSIGNED_INT, Ogre::PT_SHORT, Ogre::PT_UNSIGNED_SHORT, Ogre::PT_LONG, Ogre::PT_UNSIGNED_LONG, Ogre::PT_STRING, Ogre::PT_VECTOR3, Ogre::PT_MATRIX3, Ogre::PT_MATRIX4, Ogre::PT_QUATERNION, Ogre::PT_COLOURVALUE }
| List of parameter types available. More...